### Virtual Method

# Pos Completer lookup_completion

#### Declaration [src]

    const char*
    lookup_completion (
      PosCompleter* self,
      const char* completion
    )

#### Description [src]

Given a given completion string lookup what should actually be completed. This allows completers to e.g. provide the full word as completion “handle” and fill in just the last chars as actual completions.

#### Parameters

`completion`

  Type: `const char*`

  The completion to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The actual completion string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.